/* Copyright (c) 1997, MpegTV LLC */
#ifndef _g2a_h
#define _g2a_h
#ifndef lint
static const char rcsid_g2a_h[] = "$Header: /mona/tristan/mpeg/dec/RCS/g2a.h,v 1.10 1998/08/25 10:10:48 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"
#include "pmp.h"
#include "com_api.h"


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* param for msg from control to player (union) */
typedef union {
	PMP_DATA_GENERIC	data_generic;
	SIH_HANDLER_ID data_sih_handler_id;
} PMP_DATA_G2A;


/*--------------------------------------------------------------------------+
| External																	|
+--------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

extern int g2a_send(PMP_STRUCT *, PMP_HEADER *, const PMP_DATA_G2A *);
extern int g2a_send_double(PMP_STRUCT *, COMMAND, int, double);
extern int g2a_send_int(PMP_STRUCT *, COMMAND, int, int);
extern int g2a_send_string(PMP_STRUCT *, COMMAND, int, const char *);
extern int g2a_send_custom(PMP_STRUCT *, COMMAND, int, const char *, u_int);
extern int g2a_send_void(PMP_STRUCT *, COMMAND, int);
extern int g2a_init(PMP_STRUCT *, const char **, const char *);
extern int g2a_cleanup(PMP_STRUCT *);
extern int g2a_child_died(const PMP_STRUCT *);
extern int a2g_read_msg(const PMP_STRUCT *, PMP_HEADER *, PMP_DATA_A2G *);
extern Bool a2g_check_msg(const PMP_STRUCT *);

#ifdef __cplusplus
}
#endif

#endif /* _g2a_h */
